Subject: [TOOLS-DEVELOPMENT] rfclint-03

From: Robert Sparks <[email-masked]>
Date: Mon, 14 Jul 2014 13:21:23 -0500

Attached.
This should be done unless there are more nits to address.

---

From: "Heather Flanagan (RFC Series Editor)" <[email-masked]>
Date: Wed, 16 Jul 2014 10:15:06 -0700

> This should be done unless there are more nits to address.

Looks good to me.

-Heather

---

From: Tony Hansen <[email-masked]>
Date: Wed, 16 Jul 2014 14:03:52 -0400

> This should be done unless there are more nits to address.

looks good to me

     Tony Hansen

---

From: Sandy Ginoza <[email-masked]>
Date: Wed, 23 Jul 2014 11:35:39 -0400

Hi Robert,

Is it possible to update the SoW to remove combining idnits from this list?  Alice and I would prefer that the tool the RFC Editor uses not include these checks at this stage in the process.  An idnits tool could include all of the RFC Editor - related checks, but we would prefer to not to have to run idnits (or suppress results) each time we’re running the checker because we run the checks throughout the editorial process.

What is bap?  

I don’t have an objection to including checking that XML snippets are well formed as part of an initial check, but ABNF seems a little bit tougher.  Will the tool be able to pull definitions from previously published RFCs?  Currently, when we check ABNF, we sometimes need to call on ABNF files of other RFCs; for example, the following needs ABNF from RFC 3611 to parse correctly:

   xr-format =/ xr-conceal-block
              / xr-conc-sec-block

   xr-conceal-block = "loss-conceal"
   xr-conc-sec-block = "conc-sec" ["=" thresh]

   thresh      = 1*DIGIT          ; threshold for SCS (ms)
   DIGIT =     <as defined in Section 3 of [RFC5234]>

Or, is the checker intended to identify ABNF issues with format only?

Thanks,
Sandy

On Jul 14, 2014, at 2:21 PM, Robert Sparks <[email-masked]> wrote:

> <rfclint-03.docx><rfclint-03.pdf>_______________________________________________
> TOOLS-DEVELOPMENT mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/tools-development

---

From: Tony Hansen <[email-masked]>
Date: Wed, 23 Jul 2014 12:48:55 -0400

> What is bap?

http://tools.ietf.org/tools/bap/